<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Production Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="class_production-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Production Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_production_8h_source.html">Production.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Production:</div>
<div class="dyncontent">
<div class="center"><img src="class_production__inherit__graph.png" border="0" usemap="#_production_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Production:</div>
<div class="dyncontent">
<div class="center"><img src="class_production__coll__graph.png" border="0" usemap="#_production_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7d34c276a3157ded7b3946a60fbc157c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#a7d34c276a3157ded7b3946a60fbc157c">Production</a> (const unsigned int=0)</td></tr>
<tr class="separator:a7d34c276a3157ded7b3946a60fbc157c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9512ad21c50367f26c921f763833c81"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#ab9512ad21c50367f26c921f763833c81">Production</a> (const <a class="el" href="class_production.html">Production</a> &amp;)</td></tr>
<tr class="separator:ab9512ad21c50367f26c921f763833c81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5b3060f9e0a2bc189844e426d693dab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#ab5b3060f9e0a2bc189844e426d693dab">~Production</a> ()</td></tr>
<tr class="separator:ab5b3060f9e0a2bc189844e426d693dab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f0d662b61022edd80fec1c129ade3af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#a8f0d662b61022edd80fec1c129ade3af">clear</a> ()</td></tr>
<tr class="separator:a8f0d662b61022edd80fec1c129ade3af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a929d78f4dd7d64f1349ababf8178c512"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#a929d78f4dd7d64f1349ababf8178c512">getRecursive</a> () const</td></tr>
<tr class="separator:a929d78f4dd7d64f1349ababf8178c512"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e23ed9c33b2595281d42b5c84975412"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#a6e23ed9c33b2595281d42b5c84975412">setRecursive</a> (const bool)</td></tr>
<tr class="separator:a6e23ed9c33b2595281d42b5c84975412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a307132dcc1aa38515a22c9976172a441"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#a307132dcc1aa38515a22c9976172a441">getMinimumDepth</a> () const</td></tr>
<tr class="separator:a307132dcc1aa38515a22c9976172a441"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a493d7108bdd72cfef172cd3ee9def6c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#a493d7108bdd72cfef172cd3ee9def6c0">setMinimumDepth</a> (const unsigned int)</td></tr>
<tr class="separator:a493d7108bdd72cfef172cd3ee9def6c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ade1d52d582ad01739a5f6e526094b2d0"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#ade1d52d582ad01739a5f6e526094b2d0">setAGLookUp</a> (<a class="el" href="class_a_g_look_up.html">AGLookUp</a> *lookup)</td></tr>
<tr class="separator:ade1d52d582ad01739a5f6e526094b2d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc13940615edb39ceabf6eecdab71cec"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_a_g_look_up.html">AGLookUp</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#adc13940615edb39ceabf6eecdab71cec">getAGLookUp</a> ()</td></tr>
<tr class="separator:adc13940615edb39ceabf6eecdab71cec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a333b6a1f7e57e3b41bda334c4207e74f"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_a_g_look_up.html">AGLookUp</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#a333b6a1f7e57e3b41bda334c4207e74f">aglookup</a></td></tr>
<tr class="separator:a333b6a1f7e57e3b41bda334c4207e74f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:afdb758b17407713d8b4044413af6ff4c"><td class="memItemLeft" align="right" valign="top">ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_production.html#afdb758b17407713d8b4044413af6ff4c">operator&lt;&lt;</a> (ostream &amp;, const <a class="el" href="class_production.html">Production</a> &amp;)</td></tr>
<tr class="separator:afdb758b17407713d8b4044413af6ff4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7d34c276a3157ded7b3946a60fbc157c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d34c276a3157ded7b3946a60fbc157c">&#9670;&nbsp;</a></span>Production() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Production::Production </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newLength</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab9512ad21c50367f26c921f763833c81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9512ad21c50367f26c921f763833c81">&#9670;&nbsp;</a></span>Production() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Production::Production </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_production.html">Production</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5b3060f9e0a2bc189844e426d693dab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5b3060f9e0a2bc189844e426d693dab">&#9670;&nbsp;</a></span>~Production()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Production::~Production </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8f0d662b61022edd80fec1c129ade3af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f0d662b61022edd80fec1c129ade3af">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Production::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adc13940615edb39ceabf6eecdab71cec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc13940615edb39ceabf6eecdab71cec">&#9670;&nbsp;</a></span>getAGLookUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_a_g_look_up.html">AGLookUp</a> * Production::getAGLookUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a307132dcc1aa38515a22c9976172a441"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a307132dcc1aa38515a22c9976172a441">&#9670;&nbsp;</a></span>getMinimumDepth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Production::getMinimumDepth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a929d78f4dd7d64f1349ababf8178c512"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a929d78f4dd7d64f1349ababf8178c512">&#9670;&nbsp;</a></span>getRecursive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Production::getRecursive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ade1d52d582ad01739a5f6e526094b2d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade1d52d582ad01739a5f6e526094b2d0">&#9670;&nbsp;</a></span>setAGLookUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Production::setAGLookUp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_a_g_look_up.html">AGLookUp</a> *&#160;</td>
          <td class="paramname"><em>lookup</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a493d7108bdd72cfef172cd3ee9def6c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a493d7108bdd72cfef172cd3ee9def6c0">&#9670;&nbsp;</a></span>setMinimumDepth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Production::setMinimumDepth </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newMinimumDepth</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e23ed9c33b2595281d42b5c84975412"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e23ed9c33b2595281d42b5c84975412">&#9670;&nbsp;</a></span>setRecursive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Production::setRecursive </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>newRecursive</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="afdb758b17407713d8b4044413af6ff4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdb758b17407713d8b4044413af6ff4c">&#9670;&nbsp;</a></span>operator&lt;&lt;</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_production.html">Production</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a333b6a1f7e57e3b41bda334c4207e74f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a333b6a1f7e57e3b41bda334c4207e74f">&#9670;&nbsp;</a></span>aglookup</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_a_g_look_up.html">AGLookUp</a> * Production::aglookup</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_production_8h_source.html">Production.h</a></li>
<li>src/<a class="el" href="_production_8cpp.html">Production.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
